from django import newforms as forms
from models import SimpleMessage
from datetime import datetime

class MessageForm(forms.ModelForm):

    class Meta:
        model = SimpleMessage
        fields = ('sender', 'message')

    def save(self):
        message = super(MessageForm, self).save()
        message.date = datetime.now()
        message.save()

        return message
