from bletch.simple_chat.models import SimpleMessage
from django.shortcuts import render_to_response
from django.http import HttpResponseRedirect
from bletch.simple_chat.forms import MessageForm

def index(request):
    messages = SimpleMessage.objects.all()
    return render_to_response('simple_chat/index.html', locals())

def reply(request):

    if request.method == "POST":
        form = MessageForm(request.POST)
        
        if form.is_valid():
            message = form.save()
            return HttpResponseRedirect('/chat/')
        else:
            return render_to_response('simple_chat/reply.html', locals())
    
    else:
        form = MessageForm()
        return render_to_response('simple_chat/reply.html', locals())

